com.amazonaws.services.machinelearning.model

## Class DeleteTagsResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.machinelearning.model.DeleteTagsResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class DeleteTagsResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Amazon ML returns the following elements.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DeleteTagsResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DeleteTagsResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getResourceId()` The ID of the ML object from which tags were deleted.
`String` `getResourceType()` The type of the ML object from which tags were deleted.
`int` `hashCode()`
`void` `setResourceId(String resourceId)` The ID of the ML object from which tags were deleted.
`void` `setResourceType(String resourceType)` The type of the ML object from which tags were deleted.
`void` `setResourceType(TaggableResourceType resourceType)` The type of the ML object from which tags were deleted.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeleteTagsResult` `withResourceId(String resourceId)` The ID of the ML object from which tags were deleted.
`DeleteTagsResult` `withResourceType(String resourceType)` The type of the ML object from which tags were deleted.
`DeleteTagsResult` `withResourceType(TaggableResourceType resourceType)` The type of the ML object from which tags were deleted.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeleteTagsResult

    public DeleteTagsResult()

### Method Detail

#### setResourceId

    public void setResourceId(String resourceId)

The ID of the ML object from which tags were deleted.

Parameters:
  `resourceId` - The ID of the ML object from which tags were deleted.

#### getResourceId

    public String getResourceId()

The ID of the ML object from which tags were deleted.

Returns:
  The ID of the ML object from which tags were deleted.

#### withResourceId

    public DeleteTagsResult withResourceId(String resourceId)

The ID of the ML object from which tags were deleted.

Parameters:
  `resourceId` - The ID of the ML object from which tags were deleted.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setResourceType

    public void setResourceType(String resourceType)

The type of the ML object from which tags were deleted.

Parameters:
  `resourceType` - The type of the ML object from which tags were deleted.
See Also:
  `TaggableResourceType`

#### getResourceType

    public String getResourceType()

The type of the ML object from which tags were deleted.

Returns:
  The type of the ML object from which tags were deleted.
See Also:
  `TaggableResourceType`

#### withResourceType

    public DeleteTagsResult withResourceType(String resourceType)

The type of the ML object from which tags were deleted.

Parameters:
  `resourceType` - The type of the ML object from which tags were deleted.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `TaggableResourceType`

#### setResourceType

    public void setResourceType(TaggableResourceType resourceType)

The type of the ML object from which tags were deleted.

Parameters:
  `resourceType` - The type of the ML object from which tags were deleted.
See Also:
  `TaggableResourceType`

#### withResourceType

    public DeleteTagsResult withResourceType(TaggableResourceType resourceType)

The type of the ML object from which tags were deleted.

Parameters:
  `resourceType` - The type of the ML object from which tags were deleted.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `TaggableResourceType`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DeleteTagsResult clone()

Overrides:
  `clone` in class `Object`